Bug 447284 - apt-rpm fails to download a package, yum succeeds
apt-rpm fails to download a package, yum succeeds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
http://repo.calcforge.org/fedora/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 06:15 EDT by Kevin Kofler
Modified: 2014-06-09 16:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:31:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-05-19 06:15:41 EDT
Description of problem:

The Fedora 8 apt fails to download ktigcc-1.09-2.i386 from the CalcForge 
Fedora 8 repository:
[root@localhost ~]# apt-get install ktigcc
Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
   ktigcc (1.09-2)
0 upgraded, 1 newly installed, 0 removed and 0 not upgraded.
Need to get 482kB of archives.
After unpacking 1349kB of additional disk space will be used.
Err http://repo.calcforge.org 8/i386/ ktigcc 1.09-2
  404 Not Found
Failed to fetch http://repo.calcforge.org/fedora//8/i386//./location_href  404 
Not Found
E: Unable to fetch some archives, maybe run apt-get update or try 
with --fix-missing?

The same package downloads and installs just fine using yum (yum-3.2.8-2.fc8). 
I have tried regenerating the repodata on the server (I control the 
repository) from scratch, that didn't help.

Version-Release number of selected component (if applicable):
apt-0.5.15lorg3.93-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Install:
http://repo.calcforge.org/fedora/8/i386/calcforge-release-8-1.noarch.rpm
or set the repository up by hand:
repomd http://repo.calcforge.org/fedora/ $(VERSION)/$(ARCH)/
GPG key:
http://repo.calcforge.org/fedora/RPM-GPG-KEY-calcforge
2. apt-get update
3. apt-get install ktigcc

Actual results:
Failed to fetch http://repo.calcforge.org/fedora//8/i386//./location_href  404 
Not Found

Expected results:
The correct URL is used and the download succeeds.

Additional info:
This sounds like an issue with the SQLite metadata. If that matters, the 
repodata was generated with:
yum-3.2.8-2.el5
yum-metadata-parser-1.1.2-1.el5
createrepo-0.4.11-1.el5
sqlite-3.3.6-2
python-sqlite-1.1.7-1.2.1
on a CentOS 5 machine (the server). The yum, yum-metadata-parser and 
createrepo builds are custom backports because the versions included in CentOS 
5 are too old to generate the SQLite metadata for Fedora 8. They correspond to 
the Fedora SRPMs with the same version number and release. The sqlite and 
python-sqlite RPMs are the stock CentOS 5 ones.
Comment 1 Axel Thimm 2008-05-20 11:21:20 EDT
Reassigning bugs that have upstream character.
Comment 2 Bug Zapper 2008-11-26 05:44:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Kevin Kofler 2008-11-26 06:14:46 EST
Hmmm, I need to retest. I've mostly given up on apt-rpm given the current bustage (like Synaptic not working at all in F9) though. :-(
Comment 4 Panu Matilainen 2008-12-23 05:36:28 EST
FWIW, can't reproduce on F10 with apt-0.5.15lorg3.95-0.git416.1.fc11 from rawhide.
Comment 5 Bug Zapper 2009-01-09 01:31:37 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Kevin Kofler 2014-06-09 16:19:38 EDT
Clearing NEEDINFO, this was closed WONTFIX eons ago.

Note You need to log in before you can comment on or make changes to this bug.